﻿using System.Collections.Generic;
using System.Xml.Serialization;

namespace WingMan.Bindings
{
    public class LocalKeyBindings
    {
        [XmlIgnore] public static readonly XmlSerializer XmlSerializer = new XmlSerializer(typeof(LocalKeyBindings));

        public LocalKeyBindings()
        {
        }

        public LocalKeyBindings(List<KeyBinding> bindings) : this()
        {
            Bindings = bindings;
        }

        public List<KeyBinding> Bindings { get; set; }
    }
}
